import * as React from 'react';
import { EBreakpoint } from '../enums';
declare type IMinChildWidthSize = 1 | 2 | 3 | 4 | 5;
declare type Props = React.PropsWithChildren<{
    gap?: EBreakpoint;
    minChildWidth?: {
        xs?: IMinChildWidthSize;
        sm?: IMinChildWidthSize;
        md?: IMinChildWidthSize;
        lg?: IMinChildWidthSize;
        xl?: IMinChildWidthSize;
        base?: IMinChildWidthSize;
    } & Record<string, number>;
}>;
export declare const AutoGrid: ({ children, gap, minChildWidth, }: Props) => JSX.Element;
export {};
