'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var clsx = require('clsx');
var reactContainerQuery = require('react-container-query');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n["default"] = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);
var clsx__default = /*#__PURE__*/_interopDefaultLegacy(clsx);

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var styles = {"grid":"index-module_grid__YiLqf","grid-auto-1":"index-module_grid-auto-1__wAFLe","grid-auto-2":"index-module_grid-auto-2__cmvEB","grid-auto-3":"index-module_grid-auto-3__T5MI2","grid-auto-4":"index-module_grid-auto-4__y7SBz","grid-auto-5":"index-module_grid-auto-5__uNLX0","grid-auto-cols":"index-module_grid-auto-cols__hB3NZ","grid-gap-4xs":"index-module_grid-gap-4xs__a1hM9","grid-gap-3xs":"index-module_grid-gap-3xs__J-F2L","grid-gap-2xs":"index-module_grid-gap-2xs__pwWms","grid-gap-xs":"index-module_grid-gap-xs__hj3-3","grid-gap-sm":"index-module_grid-gap-sm__5Nk-s","grid-gap-md":"index-module_grid-gap-md__CcZ2F","grid-gap-lg":"index-module_grid-gap-lg__DvnJE","grid-gap-xl":"index-module_grid-gap-xl__VOdd-","grid-gap-2xl":"index-module_grid-gap-2xl__VoEwP","grid-gap-3xl":"index-module_grid-gap-3xl__hpm-q","grid-gap-4xl":"index-module_grid-gap-4xl__8ZEHi","col-1":"index-module_col-1__-H1ZL","col-start-1":"index-module_col-start-1__wegrp","col-end-2":"index-module_col-end-2__4PW1e","col-2":"index-module_col-2__riEqB","col-start-2":"index-module_col-start-2__QJIEG","col-end-3":"index-module_col-end-3__XMk4p","col-3":"index-module_col-3__ZR1le","col-start-3":"index-module_col-start-3__zm30a","col-end-4":"index-module_col-end-4__SNMaR","col-4":"index-module_col-4__wYcR2","col-start-4":"index-module_col-start-4__ReI-p","col-end-5":"index-module_col-end-5__o12XT","col-5":"index-module_col-5__rjSR1","col-start-5":"index-module_col-start-5__dBy0Q","col-end-6":"index-module_col-end-6__jqlPd","col-6":"index-module_col-6__PiQCU","col-start-6":"index-module_col-start-6__D3Aa0","col-end-7":"index-module_col-end-7__Ce3QS","col-7":"index-module_col-7__vcS8-","col-start-7":"index-module_col-start-7__ooNHR","col-end-8":"index-module_col-end-8__5tUiq","col-8":"index-module_col-8__yKeGx","col-start-8":"index-module_col-start-8__RbbFw","col-end-9":"index-module_col-end-9__sqA1T","col-9":"index-module_col-9__Mn1Ot","col-start-9":"index-module_col-start-9__Z-yUN","col-end-10":"index-module_col-end-10__NW3-K","col-10":"index-module_col-10__UU79P","col-start-10":"index-module_col-start-10__8OoqK","col-end-11":"index-module_col-end-11__PtWSz","col-11":"index-module_col-11__pPvkv","col-start-11":"index-module_col-start-11__Ytk-b","col-end-12":"index-module_col-end-12__SwNZi","col-12":"index-module_col-12__lZ49d","col-start-12":"index-module_col-start-12__w32eH","col-end-13":"index-module_col-end-13__1GNb7","col-start":"index-module_col-start__Lst2j","col-end":"index-module_col-end__XQztH","container-xs":"index-module_container-xs__81BRQ","grid-auto-1@xs":"index-module_grid-auto-1--xs__MGzPh","grid-auto-2@xs":"index-module_grid-auto-2--xs__avNap","grid-auto-3@xs":"index-module_grid-auto-3--xs__fVLc4","grid-auto-4@xs":"index-module_grid-auto-4--xs__BQIii","grid-auto-5@xs":"index-module_grid-auto-5--xs__IkYF4","grid-auto-cols@xs":"index-module_grid-auto-cols--xs__uXJSn","col-1@xs":"index-module_col-1--xs__GW6Rz","col-start-1@xs":"index-module_col-start-1--xs__j61ry","col-end-2@xs":"index-module_col-end-2--xs__CNhdh","col-2@xs":"index-module_col-2--xs__TmvKr","col-start-2@xs":"index-module_col-start-2--xs__-CyRk","col-end-3@xs":"index-module_col-end-3--xs__Kq0eO","col-3@xs":"index-module_col-3--xs__zZ4t6","col-start-3@xs":"index-module_col-start-3--xs__Xf3Ym","col-end-4@xs":"index-module_col-end-4--xs__JhH3v","col-4@xs":"index-module_col-4--xs__8iY5m","col-start-4@xs":"index-module_col-start-4--xs__webNd","col-end-5@xs":"index-module_col-end-5--xs__tpqrr","col-5@xs":"index-module_col-5--xs__uaL3L","col-start-5@xs":"index-module_col-start-5--xs__vnWjJ","col-end-6@xs":"index-module_col-end-6--xs__G809C","col-6@xs":"index-module_col-6--xs__PF793","col-start-6@xs":"index-module_col-start-6--xs__mG1rv","col-end-7@xs":"index-module_col-end-7--xs__OR29d","col-7@xs":"index-module_col-7--xs__arOmC","col-start-7@xs":"index-module_col-start-7--xs__EkhNz","col-end-8@xs":"index-module_col-end-8--xs__bJECl","col-8@xs":"index-module_col-8--xs__2-e5M","col-start-8@xs":"index-module_col-start-8--xs__8dC5q","col-end-9@xs":"index-module_col-end-9--xs__MyQWa","col-9@xs":"index-module_col-9--xs__x7LAq","col-start-9@xs":"index-module_col-start-9--xs__sx-gR","col-end-10@xs":"index-module_col-end-10--xs__CeBMo","col-10@xs":"index-module_col-10--xs__W4-v3","col-start-10@xs":"index-module_col-start-10--xs__NB5FH","col-end-11@xs":"index-module_col-end-11--xs__PsEpi","col-11@xs":"index-module_col-11--xs__ocYsU","col-start-11@xs":"index-module_col-start-11--xs__VJWae","col-end-12@xs":"index-module_col-end-12--xs__2chX1","col-12@xs":"index-module_col-12--xs__6EdSU","col-start-12@xs":"index-module_col-start-12--xs__o2OlJ","col-end-13@xs":"index-module_col-end-13--xs__NDujH","col-start-auto@xs":"index-module_col-start-auto--xs__yGcG0","col-end-auto@xs":"index-module_col-end-auto--xs__IWiG3","container-sm":"index-module_container-sm__YGWJO","grid-auto-1@sm":"index-module_grid-auto-1--sm__7bpUy","grid-auto-2@sm":"index-module_grid-auto-2--sm__1WyLJ","grid-auto-3@sm":"index-module_grid-auto-3--sm__zXhh9","grid-auto-4@sm":"index-module_grid-auto-4--sm__X4dUM","grid-auto-5@sm":"index-module_grid-auto-5--sm__-9CV9","grid-auto-cols@sm":"index-module_grid-auto-cols--sm__VUMNL","col-1@sm":"index-module_col-1--sm__F8813","col-start-1@sm":"index-module_col-start-1--sm__vFIRM","col-end-2@sm":"index-module_col-end-2--sm__5MpRm","col-2@sm":"index-module_col-2--sm__eCPeB","col-start-2@sm":"index-module_col-start-2--sm__v2Z3b","col-end-3@sm":"index-module_col-end-3--sm__RlrZv","col-3@sm":"index-module_col-3--sm__X5yP4","col-start-3@sm":"index-module_col-start-3--sm__7a1vZ","col-end-4@sm":"index-module_col-end-4--sm__jgtHK","col-4@sm":"index-module_col-4--sm__0BVuZ","col-start-4@sm":"index-module_col-start-4--sm__1pnuu","col-end-5@sm":"index-module_col-end-5--sm__WppOv","col-5@sm":"index-module_col-5--sm__xRTy0","col-start-5@sm":"index-module_col-start-5--sm__QDZFV","col-end-6@sm":"index-module_col-end-6--sm__Wj-LW","col-6@sm":"index-module_col-6--sm__lF6rp","col-start-6@sm":"index-module_col-start-6--sm__QSCad","col-end-7@sm":"index-module_col-end-7--sm__TQReq","col-7@sm":"index-module_col-7--sm__B-fcy","col-start-7@sm":"index-module_col-start-7--sm__KLsky","col-end-8@sm":"index-module_col-end-8--sm__2z82m","col-8@sm":"index-module_col-8--sm__ZFozD","col-start-8@sm":"index-module_col-start-8--sm__wVt-m","col-end-9@sm":"index-module_col-end-9--sm__6LAQO","col-9@sm":"index-module_col-9--sm__fiF3Q","col-start-9@sm":"index-module_col-start-9--sm__sqJ1p","col-end-10@sm":"index-module_col-end-10--sm__ZJxTZ","col-10@sm":"index-module_col-10--sm__-ukTC","col-start-10@sm":"index-module_col-start-10--sm__Zbb8W","col-end-11@sm":"index-module_col-end-11--sm__hlRRz","col-11@sm":"index-module_col-11--sm__5-bIT","col-start-11@sm":"index-module_col-start-11--sm__AvIsx","col-end-12@sm":"index-module_col-end-12--sm__-uVFz","col-12@sm":"index-module_col-12--sm__iHIQg","col-start-12@sm":"index-module_col-start-12--sm__eEWj7","col-end-13@sm":"index-module_col-end-13--sm__6QLwn","col-start-auto@sm":"index-module_col-start-auto--sm__oz-HT","col-end-auto@sm":"index-module_col-end-auto--sm__6-0DZ","container-md":"index-module_container-md__bgb9E","grid-auto-1@md":"index-module_grid-auto-1--md__PEis2","grid-auto-2@md":"index-module_grid-auto-2--md__cmdsY","grid-auto-3@md":"index-module_grid-auto-3--md__5yRjB","grid-auto-4@md":"index-module_grid-auto-4--md__YaFul","grid-auto-5@md":"index-module_grid-auto-5--md__Fgrug","grid-auto-cols@md":"index-module_grid-auto-cols--md__JwxBK","col-1@md":"index-module_col-1--md__TwmoS","col-start-1@md":"index-module_col-start-1--md__FU6wJ","col-end-2@md":"index-module_col-end-2--md__7QdMB","col-2@md":"index-module_col-2--md__aH-Pr","col-start-2@md":"index-module_col-start-2--md__EkLHv","col-end-3@md":"index-module_col-end-3--md__fcpmJ","col-3@md":"index-module_col-3--md__19meU","col-start-3@md":"index-module_col-start-3--md__OAriZ","col-end-4@md":"index-module_col-end-4--md__kzFU-","col-4@md":"index-module_col-4--md__SsZ1h","col-start-4@md":"index-module_col-start-4--md__Fxhw1","col-end-5@md":"index-module_col-end-5--md__5hVRg","col-5@md":"index-module_col-5--md__I2mYF","col-start-5@md":"index-module_col-start-5--md__J9FHe","col-end-6@md":"index-module_col-end-6--md__dGwLz","col-6@md":"index-module_col-6--md__ydgBh","col-start-6@md":"index-module_col-start-6--md__HWGQF","col-end-7@md":"index-module_col-end-7--md__RM7o9","col-7@md":"index-module_col-7--md__2qyXR","col-start-7@md":"index-module_col-start-7--md__gfPVp","col-end-8@md":"index-module_col-end-8--md__Dir7e","col-8@md":"index-module_col-8--md__3B33P","col-start-8@md":"index-module_col-start-8--md__ypP2X","col-end-9@md":"index-module_col-end-9--md__8NyM2","col-9@md":"index-module_col-9--md__u4ELC","col-start-9@md":"index-module_col-start-9--md__uK6Kt","col-end-10@md":"index-module_col-end-10--md__nPRe1","col-10@md":"index-module_col-10--md__kkC4H","col-start-10@md":"index-module_col-start-10--md__SWlwu","col-end-11@md":"index-module_col-end-11--md__viyyu","col-11@md":"index-module_col-11--md__2M8Rc","col-start-11@md":"index-module_col-start-11--md__lPWKr","col-end-12@md":"index-module_col-end-12--md__bVIp-","col-12@md":"index-module_col-12--md__GJPb1","col-start-12@md":"index-module_col-start-12--md__e37l4","col-end-13@md":"index-module_col-end-13--md__TcAJU","col-start-auto@md":"index-module_col-start-auto--md__X9L9F","col-end-auto@md":"index-module_col-end-auto--md__ZO0-0","container-lg":"index-module_container-lg__VxRQt","grid-auto-1@lg":"index-module_grid-auto-1--lg__FyoMJ","grid-auto-2@lg":"index-module_grid-auto-2--lg__nm1R3","grid-auto-3@lg":"index-module_grid-auto-3--lg__rNGcm","grid-auto-4@lg":"index-module_grid-auto-4--lg__5GjUL","grid-auto-5@lg":"index-module_grid-auto-5--lg__eY-Qc","grid-auto-cols@lg":"index-module_grid-auto-cols--lg__duAzF","col-1@lg":"index-module_col-1--lg__w0yYG","col-start-1@lg":"index-module_col-start-1--lg__AWV0Q","col-end-2@lg":"index-module_col-end-2--lg__z2TRj","col-2@lg":"index-module_col-2--lg__1-2mU","col-start-2@lg":"index-module_col-start-2--lg__1tZHy","col-end-3@lg":"index-module_col-end-3--lg__IyJaF","col-3@lg":"index-module_col-3--lg__58LkE","col-start-3@lg":"index-module_col-start-3--lg__-i-RQ","col-end-4@lg":"index-module_col-end-4--lg__9Th5x","col-4@lg":"index-module_col-4--lg__QuaD0","col-start-4@lg":"index-module_col-start-4--lg__mTQ3W","col-end-5@lg":"index-module_col-end-5--lg__Wp4G0","col-5@lg":"index-module_col-5--lg__x8LUa","col-start-5@lg":"index-module_col-start-5--lg__5ijPg","col-end-6@lg":"index-module_col-end-6--lg__Y4Lfu","col-6@lg":"index-module_col-6--lg__twYD3","col-start-6@lg":"index-module_col-start-6--lg__4noHY","col-end-7@lg":"index-module_col-end-7--lg__a2rwc","col-7@lg":"index-module_col-7--lg__eIr86","col-start-7@lg":"index-module_col-start-7--lg__5JvBI","col-end-8@lg":"index-module_col-end-8--lg__LWDVH","col-8@lg":"index-module_col-8--lg__mUBNb","col-start-8@lg":"index-module_col-start-8--lg__zUK9w","col-end-9@lg":"index-module_col-end-9--lg__SHhcr","col-9@lg":"index-module_col-9--lg__GQsIw","col-start-9@lg":"index-module_col-start-9--lg__U-7uz","col-end-10@lg":"index-module_col-end-10--lg__oRDvm","col-10@lg":"index-module_col-10--lg__-Dpvd","col-start-10@lg":"index-module_col-start-10--lg__qeJCH","col-end-11@lg":"index-module_col-end-11--lg__DT5GH","col-11@lg":"index-module_col-11--lg__js6LF","col-start-11@lg":"index-module_col-start-11--lg__Sdw3a","col-end-12@lg":"index-module_col-end-12--lg__eRanb","col-12@lg":"index-module_col-12--lg__gSmAG","col-start-12@lg":"index-module_col-start-12--lg__zqf4M","col-end-13@lg":"index-module_col-end-13--lg__DccYl","col-start-auto@lg":"index-module_col-start-auto--lg__3l2Do","col-end-auto@lg":"index-module_col-end-auto--lg__mD5KD","container-xl":"index-module_container-xl__f5eOb","grid-auto-1@xl":"index-module_grid-auto-1--xl__6JsuU","grid-auto-2@xl":"index-module_grid-auto-2--xl__jesxF","grid-auto-3@xl":"index-module_grid-auto-3--xl__YxyUe","grid-auto-4@xl":"index-module_grid-auto-4--xl__Ww-dN","grid-auto-5@xl":"index-module_grid-auto-5--xl__IBdKb","grid-auto-cols@xl":"index-module_grid-auto-cols--xl__hJOwf","col-1@xl":"index-module_col-1--xl__EO9X3","col-start-1@xl":"index-module_col-start-1--xl__a6MT6","col-end-2@xl":"index-module_col-end-2--xl__KAbPW","col-2@xl":"index-module_col-2--xl__0dkDX","col-start-2@xl":"index-module_col-start-2--xl__ilR9m","col-end-3@xl":"index-module_col-end-3--xl__zHDn-","col-3@xl":"index-module_col-3--xl__XIi3k","col-start-3@xl":"index-module_col-start-3--xl__LV71L","col-end-4@xl":"index-module_col-end-4--xl__kpTC-","col-4@xl":"index-module_col-4--xl__q0TKI","col-start-4@xl":"index-module_col-start-4--xl__DXol4","col-end-5@xl":"index-module_col-end-5--xl__HVaCi","col-5@xl":"index-module_col-5--xl__VuFBr","col-start-5@xl":"index-module_col-start-5--xl__XTmmP","col-end-6@xl":"index-module_col-end-6--xl__3t7k0","col-6@xl":"index-module_col-6--xl__DGFiB","col-start-6@xl":"index-module_col-start-6--xl__85aDu","col-end-7@xl":"index-module_col-end-7--xl__ldUo5","col-7@xl":"index-module_col-7--xl__MHChz","col-start-7@xl":"index-module_col-start-7--xl__3SrCe","col-end-8@xl":"index-module_col-end-8--xl__58Pi1","col-8@xl":"index-module_col-8--xl__ghHam","col-start-8@xl":"index-module_col-start-8--xl__a-6x-","col-end-9@xl":"index-module_col-end-9--xl__Oh5YX","col-9@xl":"index-module_col-9--xl__G2e6Z","col-start-9@xl":"index-module_col-start-9--xl__ZUWJL","col-end-10@xl":"index-module_col-end-10--xl__Pblto","col-10@xl":"index-module_col-10--xl__mgleL","col-start-10@xl":"index-module_col-start-10--xl__jYyaF","col-end-11@xl":"index-module_col-end-11--xl__aOjy4","col-11@xl":"index-module_col-11--xl__NpNJC","col-start-11@xl":"index-module_col-start-11--xl__emeHu","col-end-12@xl":"index-module_col-end-12--xl__AIni0","col-12@xl":"index-module_col-12--xl__IcmWl","col-start-12@xl":"index-module_col-start-12--xl__JCQ7Z","col-end-13@xl":"index-module_col-end-13--xl__8UjgJ","col-start-auto@xl":"index-module_col-start-auto--xl__GQ-9G","col-end-auto@xl":"index-module_col-end-auto--xl__nOlkr"};

exports.EBreakpoint = void 0;

(function (EBreakpoint) {
  EBreakpoint["xs"] = "xs";
  EBreakpoint["sm"] = "sm";
  EBreakpoint["md"] = "md";
  EBreakpoint["lg"] = "lg";
  EBreakpoint["xl"] = "xl";
})(exports.EBreakpoint || (exports.EBreakpoint = {}));

var AutoGrid = function AutoGrid(_ref) {
  var _extends4;

  var children = _ref.children,
      _ref$gap = _ref.gap,
      gap = _ref$gap === void 0 ? exports.EBreakpoint.xs : _ref$gap,
      minChildWidth = _ref.minChildWidth;
  var customClasses = React__namespace.useMemo(function () {
    var _defaultClasses;

    var defaultClasses = (_defaultClasses = {}, _defaultClasses[styles['grid-auto-3']] = true, _defaultClasses);

    if (minChildWidth) {
      return Object.keys(minChildWidth).reduce(function (res, it) {
        var _extends3;

        if (it === 'base') {
          var _extends2;

          return _extends({}, res, (_extends2 = {}, _extends2[styles['grid-auto-3']] = false, _extends2[styles["grid-auto-" + minChildWidth[it]]] = true, _extends2));
        }

        var cloneRes = _extends({}, res, (_extends3 = {}, _extends3[styles["grid-auto-" + minChildWidth[it] + "@" + it]] = true, _extends3));

        return cloneRes;
      }, defaultClasses);
    }

    return defaultClasses;
  }, [minChildWidth]);
  return React__namespace.createElement("div", {
    className: clsx__default["default"](_extends((_extends4 = {}, _extends4[styles["grid-gap-" + gap]] = true, _extends4), customClasses))
  }, children);
};

var _query;
var query = (_query = {}, _query[styles['container-xs']] = {
  minWidth: 400
}, _query[styles['container-sm']] = {
  minWidth: 640
}, _query[styles['container-md']] = {
  minWidth: 768
}, _query[styles['container-lg']] = {
  minWidth: 1024
}, _query[styles['container-xl']] = {
  minWidth: 1280
}, _query);
var Grid = function Grid(_ref) {
  var _extends2;

  var children = _ref.children,
      _ref$gap = _ref.gap,
      gap = _ref$gap === void 0 ? exports.EBreakpoint.xs : _ref$gap;

  var _useContainerQuery = reactContainerQuery.useContainerQuery(query, {}),
      params = _useContainerQuery[0],
      containerRef = _useContainerQuery[1];

  return React__namespace.createElement("div", {
    ref: containerRef,
    className: clsx__default["default"](_extends({}, params, (_extends2 = {}, _extends2[styles['grid']] = true, _extends2[styles["grid-gap-" + gap]] = true, _extends2)))
  }, children);
};

var _excluded = ["children"];
var GridItem = function GridItem(_ref) {
  var children = _ref.children,
      restProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  var customClasses = React__namespace.useMemo(function () {
    return Object.keys(restProps).reduce(function (res, it) {
      var _extends3;

      if (it === 'base') {
        var _extends2;

        return _extends({}, res, (_extends2 = {}, _extends2[styles["col-" + restProps[it]]] = true, _extends2));
      }

      var cloneRes = _extends({}, res, (_extends3 = {}, _extends3[styles["col-" + restProps[it] + "@" + it]] = true, _extends3));

      return cloneRes;
    }, {});
  }, [restProps]);
  return React__namespace.createElement("div", {
    className: clsx__default["default"](customClasses)
  }, children);
};

exports.AutoGrid = AutoGrid;
exports.Grid = Grid;
exports.GridItem = GridItem;
//# sourceMappingURL=react-grid-container-query.cjs.development.js.map
